---
title: MediaQueryListEvent.matches
slug: Web/API/MediaQueryListEvent/matches
tags:
  - API
  - CSSOM View
  - Media Queries
  - MediaQueryListEvent
  - Property
  - Reference
  - matches
---
<p>{{APIRef("CSSOM")}}</p>

<p>The <strong><code>matches</code></strong> read-only property of the {{DOMxRef("MediaQueryListEvent")}} interface is a {{DOMxRef("Boolean")}} that returns <code>true</code> if the {{DOMxRef("document")}} currently matches the media query list, or <code>false</code> if not.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>matches</em> = <em>MediaQueryListEvent.matches;</em></pre>

<h3 id="Value">Value</h3>

<p>A {{DOMxRef("Boolean")}}; returns <code>true</code> if the {{DOMxRef("document")}} currently matches the media query list, <code>false</code> if not.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">var mql = window.matchMedia('(max-width: 600px)');

function screenTest(e) {
  if (e.matches) {
    /* the viewport is 600 pixels wide or less */
    para.textContent = 'This is a narrow screen — less than 600px wide.';
    document.body.style.backgroundColor = 'red';
  } else {
    /* the viewport is more than than 600 pixels wide */
    para.textContent = 'This is a wide screen — more than 600px wide.';
    document.body.style.backgroundColor = 'blue';
  }
}

mql.addListener(screenTest);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("CSSOM View", "#dom-mediaquerylistevent-matches", "matches")}}</td>
   <td>{{Spec2("CSSOM View")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaQueryListEvent.matches")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/CSS/Media_queries">Media queries</a></li>
 <li><a href="/en-US/docs/CSS/Using_media_queries_from_code">Using media queries from code</a></li>
 <li>{{DOMxRef("window.matchMedia()")}}</li>
 <li>{{DOMxRef("MediaQueryList")}}</li>
 <li>{{DOMxRef("MediaQueryListEvent")}}</li>
</ul>
